SFML 3.0.2
Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
sf::AudioResource Class Reference
Audio module

Base class for classes that require an audio device. More...

`#include <SFML/Audio/AudioResource.hpp>`

Inheritance diagram for sf::AudioResource:

## Public Member Functions

| AudioResource (const AudioResource &)=default
| Copy constructor.
AudioResource & | operator= (const AudioResource &)=default
| Copy assignment.
| AudioResource (AudioResource &&) noexcept=default
| Move constructor.
AudioResource & | operator= (AudioResource &&) noexcept=default
| Move assignment.

## Protected Member Functions

| AudioResource ()
| Default constructor.

## Detailed Description

Base class for classes that require an audio device.

This class is for internal use only, it must be the base of every class that requires a valid audio device in order to work.

Definition at line 41 of file AudioResource.hpp.

## Constructor & Destructor Documentation

## ◆ AudioResource() [1/3]

sf::AudioResource::AudioResource | ( | const AudioResource & |  | ) |

default

Copy constructor.

## ◆ AudioResource() [2/3]

sf::AudioResource::AudioResource | ( | AudioResource && |  | ) |

default noexcept

Move constructor.

## ◆ AudioResource() [3/3]

sf::AudioResource::AudioResource | ( |  | ) |

protected

Default constructor.

## Member Function Documentation

## ◆ operator=() [1/2]

AudioResource & sf::AudioResource::operator= | ( | AudioResource && |  | ) |

default noexcept

Move assignment.

## ◆ operator=() [2/2]

AudioResource & sf::AudioResource::operator= | ( | const AudioResource & |  | ) |

default

Copy assignment.

The documentation for this class was generated from the following file:

- AudioResource.hpp